Roundup Tracker - Issues

Issue 2550780

classification
Title: Remove 10-lines limit for dropping email signatures
Type: behavior Severity: minor
Components: Mail interface Versions: 1.4
process
Status: new Resolution:
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: ber, ezio.melotti, rouilj, schlatterbeck
Priority: normal Keywords: Effort-Low

Created on 2012-11-08 05:41 by ezio.melotti, last changed 2016-07-18 11:14 by schlatterbeck.

Messages
msg4668 Author: [hidden] (ezio.melotti) Date: 2012-11-08 05:41
Roundup drops email signature from the message only when the signature
is between 2 and 10 lines:
http://roundup.hg.sourceforge.net/hgweb/roundup/roundup/file/default/roundup/mailgw.py#l1821
Longer signatures don't get dropped.
Is there a reason to keep the <= 10 part?

Originally reported at
http://psf.upfronthosting.co.za/roundup/meta/issue491
msg4669 Author: [hidden] (schlatterbeck) Date: 2012-11-08 07:27
On Thu, Nov 08, 2012 at 05:41:19AM +0000, Ezio Melotti wrote:
> 
> Roundup drops email signature from the message only when the signature
> is between 2 and 10 lines:
> http://roundup.hg.sourceforge.net/hgweb/roundup/roundup/file/default/roundup/mailgw.py#l1821
> Longer signatures don't get dropped.
> Is there a reason to keep the <= 10 part?

I *think* the reason is that the email delimiter magic used
may be found (with low probability) in a message, so I guess
this limit is used to prevent whole message parts being dropped
accidentally.

Maybe make this another config-parameter for the email gateway?
Setting the default to 10 and take 0 for infinite?

So communities who still use the usenet maximum of 4 can lower
the limit :-)

Ralf
msg4670 Author: [hidden] (ber) Date: 2012-11-09 13:23
Ezio: Feel free to change the behaviour to what you think is good.

I can see the point that if there is a "-- " somewhere accidently
that roundup might throw away too much, but hey, I don't think that is a
big deal.
msg5762 Author: [hidden] (rouilj) Date: 2016-07-06 00:43
Should we make this a config.ini setting:

[mailgw]

# If leave_body_unchanged is set to no, roundup attempts
# to strip signatures. If the recognized signature is less than
# max_signature_length lines, it will be removed. Otherwise the
# signature will be kept.
max_signature_length = 10

Also should there be a minimum value like 3 or 4?

0 should be invalid (set leave_body_unchanged to yes or new
to disable)

-- rouilj
msg5868 Author: [hidden] (schlatterbeck) Date: 2016-07-18 11:14
Nice to have addition, I personally don't remove signatures in my
trackers, though (also in the fear of losing something valuable because
people these days don't follow established signature conventions).
History
Date User Action Args
2016-07-18 11:14:38schlatterbecksetmessages: + msg5868
2016-07-06 00:43:45rouiljsetnosy: + rouilj
messages: + msg5762
2012-11-09 13:23:44bersetnosy: + ber
messages: + msg4670
2012-11-08 07:27:07schlatterbecksetnosy: + schlatterbeck
messages: + msg4669
2012-11-08 05:41:19ezio.melotticreate